# Interface methods for submodule: CurvesLevelSetImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import SegmentationLevelSetImageFilterProxy as _SegmentationLevelSetImageFilterProxy


# Interface methods for class: CurvesLevelSetImageFilter
class CurvesLevelSetImageFilterProxy(_SegmentationLevelSetImageFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetDerivativeSigma(self, value: float) -> None:
		""""""
		...

	def GetDerivativeSigma(self) -> float:
		""""""
		...

